VAGRANT-PACKAGE(1)

NAME
vagrant-package - convert VirtualBox disk image into Vagrant box

SYNOPSIS

vagrant-package [image] [--output {OUTPUT}] [-h, --help]

DESCRIPTION

FreedomBox is a community project to develop, design and promote personal servers running free software for private, personal communications. It is a networking appliance designed to allow interfacing with the rest of the Internet under conditions of protected privacy and data security. It hosts applications such as blog, wiki, website, social network, email, web proxy and a Tor relay on a device that can replace a wireless router so that data stays with the users.

freedom-maker is a tool to build FreedomBox images for various single board computers, virtual machines and general purpose computers.

Vagrant Package script lets you convert a Virtualbox disk image into a Vagrant box.

OPTIONS

image
    Disk image file (.vdi) to be converted.

--output OUTPUT
    Path of the output vagrant box file (default: package.box).

EXAMPLES

Example 1. Convert amd64 VirtualBox disk image into Vagrant box

    $ vagrant-package freedom-maker-amd64.vdi --output
          freedom-maker-amd64.box

BUGS

See the freedom-maker issue tracker[1] for a full list of known issues and TODO items.

AUTHOR

FreedomBox Developers

NOTES

1.  freedom-maker issue tracker
    https://github.com/freedombox/freedom-maker/issues